org.omg.PortableServer.POAPackage

## Class AdapterNonExistentHelper

- java.lang.Object
- - org.omg.PortableServer.POAPackage.AdapterNonExistentHelper

-     public abstract class AdapterNonExistentHelper
      extends Object

  org/omg/PortableServer/POAPackage/AdapterNonExistentHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /scratch/jenkins/workspace/8-2-build-linux-x64-OL8-sans-NAS/jdk8u481/2490/corba/src/share/classes/org/omg/PortableServer/poa.idl Thursday, December 18, 2025 12:14:44 PM GMT

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdapterNonExistentHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AdapterNonExistent` | `extract(Any a)` |
    `static String` | `id()` |
    `static void` | `insert(Any a, AdapterNonExistent that)` |
    `static AdapterNonExistent` | `read(InputStream istream)` |
    `static TypeCode` | `type()` |
    `static void` | `write(OutputStream ostream, AdapterNonExistent value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdapterNonExistentHelper

          public AdapterNonExistentHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                                    AdapterNonExistent that)

    - #### extract

          public static AdapterNonExistent extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static AdapterNonExistent read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                                   AdapterNonExistent value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.